//版本号
var version = '20150729';

// 判断当前是否微信访问
function is_weixin(){
    var ua = navigator.userAgent.toLowerCase();
    if(ua.match(/MicroMessenger/i)=="micromessenger") {
        return true;
    } else {
        return false;
    }
}

// 全局对象
var GJPDHT = GJPDHT || {};
//历史记录添加
GJPDHT.isPushState = false;
//滚动
GJPDHT.iscroll;
// 当前被选中菜单
GJPDHT.menuIndex = 0;
// 颜色选中下标
GJPDHT.colorIndex = 0;
// 规格选中下标
GJPDHT.specIndex = 0;
// 单位选中下标
GJPDHT.unitIndex = 0;

GJPDHT.toggleMenu = function(type){
    // type==0 隐藏菜单
    if(type===0){
        $('#view').css('bottom',0);
        $('#index').css('bottom',0);
        $('#menu').removeClass('slideInLeft').addClass('slideOutLeft');
        return;
    }
    $('#menu').removeClass('slideOutLeft').addClass('slideInLeft');
    setTimeout(function(){
        $('#view').css('bottom','5rem');
        $('#index').css('bottom','5rem');
    },450);
};
// 客户端类型
GJPDHT.device = {
    WeiXin: false,
    Ios: false,
    Android: true
};
// 全局提示信息
GJPDHT.showMsg = function(msgText,duration){
    $('#global').text(msgText).show();
    
    // 默认显示3秒钟
    duration = duration || 3000;
    setTimeout(function(){
        $('#global').hide();
    },duration);
};

//日期控件配置项
GJPDHT.opt = {
    preset: 'date', //日期
    theme: 'android', //皮肤样式
    display: 'top', //显示方式 modal top bottom bubble
    mode: 'scroller', //日期选择模式 clickpick scroller mixed
    dateFormat: 'yy-mm-dd', // 日期格式
    setText: '确定', //确认按钮名称
    cancelText: '取消',//取消按钮名
    dateOrder: 'yymmdd', //面板中日期排列格式
    dayText: '日', monthText: '月', yearText: '年', //面板中年月日文字
    // minDate: new Date(),
    endYear:2040 //结束年份
};

// 存储扫描结果
GJPDHT.scannResult = ''; 